Package com.enonic.xp.schema.content

## Class ContentTypeName

- java.lang.Object
- - com.enonic.xp.schema.BaseSchemaName
  - - com.enonic.xp.schema.content.ContentTypeName

- All Implemented Interfaces:
    `Comparable<ContentTypeName>`

      @PublicApi
      public final class ContentTypeName
      extends BaseSchemaName
      implements Comparable<ContentTypeName>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContentTypeName` | `archiveMedia()` |
    `static ContentTypeName` | `audioMedia()` |
    `static ContentTypeName` | `codeMedia()` |
    `int` | `compareTo​(ContentTypeName that)` |
    `static ContentTypeName` | `dataMedia()` |
    `static ContentTypeName` | `documentMedia()` |
    `static ContentTypeName` | `executableMedia()` |
    `static ContentTypeName` | `folder()` |
    `static ContentTypeName` | `fragment()` |
    `static ContentTypeName` | `from​(ApplicationKey applicationKey, String localName)` |
    `static ContentTypeName` | `from​(String contentTypeName)` |
    `static ContentTypeName` | `imageMedia()` |
    `boolean` | `isArchiveMedia()` |
    `boolean` | `isAudioMedia()` |
    `boolean` | `isCodeMedia()` |
    `boolean` | `isDataMedia()` |
    `boolean` | `isDescendantOfMedia()` |
    `boolean` | `isDocumentMedia()` |
    `boolean` | `isExecutableMedia()` |
    `boolean` | `isFolder()` |
    `boolean` | `isFragment()` |
    `boolean` | `isImageMedia()` |
    `boolean` | `isMedia()` |
    `boolean` | `isPageTemplate()` |
    `boolean` | `isPresentationMedia()` |
    `boolean` | `isShortcut()` |
    `boolean` | `isSite()` |
    `boolean` | `isSpreadsheetMedia()` |
    `boolean` | `isStructured()` |
    `boolean` | `isTemplateFolder()` |
    `boolean` | `isTextMedia()` |
    `boolean` | `isTextualMedia()` |
    `boolean` | `isUnknownMedia()` |
    `boolean` | `isUnstructured()` |
    `boolean` | `isVectorMedia()` |
    `boolean` | `isVideoMedia()` |
    `static ContentTypeName` | `media()` |
    `static ContentTypeName` | `pageTemplate()` |
    `static ContentTypeName` | `presentationMedia()` |
    `static ContentTypeName` | `shortcut()` |
    `static ContentTypeName` | `site()` |
    `static ContentTypeName` | `spreadsheetMedia()` |
    `static ContentTypeName` | `structured()` |
    `static ContentTypeName` | `templateFolder()` |
    `static ContentTypeName` | `textMedia()` |
    `static ContentTypeName` | `unknownMedia()` |
    `static ContentTypeName` | `unstructured()` |
    `static ContentTypeName` | `vectorMedia()` |
    `static ContentTypeName` | `videoMedia()` |

    - ### Methods inherited from class com.enonic.xp.schema.BaseSchemaName

      `equals, getApplicationKey, getLocalName, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### structured

          public static ContentTypeName structured()

    - #### unstructured

          public static ContentTypeName unstructured()

    - #### folder

          public static ContentTypeName folder()

    - #### pageTemplate

          public static ContentTypeName pageTemplate()

    - #### templateFolder

          public static ContentTypeName templateFolder()

    - #### site

          public static ContentTypeName site()

    - #### fragment

          public static ContentTypeName fragment()

    - #### shortcut

          public static ContentTypeName shortcut()

    - #### media

          public static ContentTypeName media()

    - #### textMedia

          public static ContentTypeName textMedia()

    - #### dataMedia

          public static ContentTypeName dataMedia()

    - #### audioMedia

          public static ContentTypeName audioMedia()

    - #### videoMedia

          public static ContentTypeName videoMedia()

    - #### imageMedia

          public static ContentTypeName imageMedia()

    - #### vectorMedia

          public static ContentTypeName vectorMedia()

    - #### archiveMedia

          public static ContentTypeName archiveMedia()

    - #### documentMedia

          public static ContentTypeName documentMedia()

    - #### spreadsheetMedia

          public static ContentTypeName spreadsheetMedia()

    - #### presentationMedia

          public static ContentTypeName presentationMedia()

    - #### codeMedia

          public static ContentTypeName codeMedia()

    - #### unknownMedia

          public static ContentTypeName unknownMedia()

    - #### executableMedia

          public static ContentTypeName executableMedia()

    - #### isUnstructured

          public boolean isUnstructured()

    - #### isStructured

          public boolean isStructured()

    - #### isFolder

          public boolean isFolder()

    - #### isTemplateFolder

          public boolean isTemplateFolder()

    - #### isPageTemplate

          public boolean isPageTemplate()

    - #### isSite

          public boolean isSite()

    - #### isFragment

          public boolean isFragment()

    - #### isShortcut

          public boolean isShortcut()

    - #### isMedia

          public boolean isMedia()

    - #### isDescendantOfMedia

          public boolean isDescendantOfMedia()

    - #### isTextMedia

          public boolean isTextMedia()

    - #### isTextualMedia

          public boolean isTextualMedia()

    - #### isDataMedia

          public boolean isDataMedia()

    - #### isAudioMedia

          public boolean isAudioMedia()

    - #### isVideoMedia

          public boolean isVideoMedia()

    - #### isImageMedia

          public boolean isImageMedia()

    - #### isVectorMedia

          public boolean isVectorMedia()

    - #### isArchiveMedia

          public boolean isArchiveMedia()

    - #### isDocumentMedia

          public boolean isDocumentMedia()

    - #### isSpreadsheetMedia

          public boolean isSpreadsheetMedia()

    - #### isPresentationMedia

          public boolean isPresentationMedia()

    - #### isCodeMedia

          public boolean isCodeMedia()

    - #### isExecutableMedia

          public boolean isExecutableMedia()

    - #### isUnknownMedia

          public boolean isUnknownMedia()

    - #### compareTo

          public int compareTo​(ContentTypeName that)

      Specified by:
        `compareTo` in interface `Comparable<ContentTypeName>`

    - #### from

          public static ContentTypeName from​(ApplicationKey applicationKey,
                                             String localName)

    - #### from

          public static ContentTypeName from​(String contentTypeName)